Get Web Editor URL
Job
Get Web Editor URL
Possible warning codes are:
NOT_ACCEPTED_BY_LINGUIST- Job is not accepted by linguistNOT_ASSIGNED_TO_LINGUIST- Job is not assigned to linguistPDF- One of requested jobs is PDFPREVIOUS_WORKFLOW_NOT_COMPLETED- Previous workflow step is not completedPREVIOUS_WORKFLOW_NOT_COMPLETED_STRICT- Previous workflow step is not completed and project has strictWorkflowFinish set to trueIN_DELIVERED_STATE- Jobs in DELIVERED stateIN_COMPLETED_STATE- Jobs in COMPLETED stateIN_REJECTED_STATE- Jobs in REJECTED state
Possible error codes are:
ASSIGNED_TO_OTHER_USER- Job is accepted by other userNOT_UNIQUE_TARGET_LANG- Requested jobs contains different target localesTOO_MANY_SEGMENTS- Count of requested job’s segments is higher than 40000TOO_MANY_JOBS- Count of requested jobs is higher than 290COMPLETED_JOINED_WITH_OTHER- Jobs in COMPLETED state cannot be joined with jobs in other statesDELIVERED_JOINED_WITH_OTHER- Jobs in DELIVERED state cannot be joined with jobs in other statesREJECTED_JOINED_WITH_OTHER- Jobs in REJECTED state cannot be joined with jobs in other states
Warning response example:
{
"warnings": [
{
"message": "Not accepted by linguist",
"args": {
"jobs": [
"abcd1234"
]
},
"code": "NOT_ACCEPTED_BY_LINGUIST"
},
{
"message": "Previous workflow step not completed",
"args": {
"jobs": [
"abcd1234"
]
},
"code": "PREVIOUS_WORKFLOW_NOT_COMPLETED"
}
],
"url": "/web/job/abcd1234-efgh5678/translate"
}
Error response example:
Status: 400 Bad Request
{
"errorCode": "NOT_UNIQUE_TARGET_LANG",
"errorDescription": "Only files with identical target languages can be joined",
"errorDetails": [
{
"code": "NOT_UNIQUE_TARGET_LANG",
"args": {
"targetLocales": [
"de",
"en"
]
},
"message": "Only files with identical target languages can be joined"
},
{
"code": "TOO_MANY_SEGMENTS",
"args": {
"maxSegments": 40000,
"segments": 400009
},
"message": "Up to 40000 segments can be opened in the CAT Web Editor, job has 400009 segments"
}
]
}
POST
Get Web Editor URL
Documentation Index
Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Body
application/json
Maximum supported number of jobs is 260
Required array length:
1 - 2147483647 elements